PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Attributes | List of all members
PDevicePluginServiceDescriptor Class Referenceabstract

`#include <plugin.h>`

Inheritance diagram for PDevicePluginServiceDescriptor:
[legend]
Collaboration diagram for PDevicePluginServiceDescriptor:
[legend]

## Public Member Functions
virtual PObject * | CreateInstance (int userData) const =0
virtual PStringArray | GetDeviceNames (int userData) const =0
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *capabilities) const
Public Member Functions inherited from PPluginServiceDescriptor
| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Static Public Attributes
static const char | SeparatorChar

## Additional Inherited Members
Protected Attributes inherited from PPluginServiceDescriptor
unsigned | version

## Member Function Documentation

virtual PObject* PDevicePluginServiceDescriptor::CreateInstance | ( | int | userData | ) | const
| pure virtual

Implemented in PVideoOutputPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PSoundChannelPluginServiceDescriptor< className >, and LDAPPluginServiceDescriptor< className >.

virtual bool PDevicePluginServiceDescriptor::GetDeviceCapabilities | ( | const PString & | deviceName,
|  | void * | capabilities
| ) |  | const
| virtual

Reimplemented in PVideoInputPluginServiceDescriptor< className >.

virtual PStringArray PDevicePluginServiceDescriptor::GetDeviceNames | ( | int | userData | ) | const
| pure virtual

Implemented in PVideoOutputPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PSoundChannelPluginServiceDescriptor< className >, and LDAPPluginServiceDescriptor< className >.

virtual bool PDevicePluginServiceDescriptor::ValidateDeviceName | ( | const PString & | deviceName,
|  | int | userData
| ) |  | const
| virtual

## Member Data Documentation

const char PDevicePluginServiceDescriptor::SeparatorChar
| static

The documentation for this class was generated from the following file:

- plugin.h